#!/bin/sh | |
cleanup () { | |
unset -f die cleanup | |
} | |
die () { echo "$@" ; cleanup ; exit 1; } | |
\. ../../../nvm.sh | |
set -ex | |
# nvm_download install.sh | |
nvm_download "https://raw.githubusercontent.com/nvm-sh/nvm/master/install.sh" >/dev/null || die "nvm_download unable to download install.sh" | |
# nvm_download should fail to download wrong_install.sh | |
! nvm_download "https://raw.githubusercontent.com/nvm-sh/nvm/master/wrong_install.sh" >/dev/null || die "nvm_download should fail to download no existing file" | |
cleanup |